#Imports
import os
import requests
import logger as log

CORPUS_URL = "https://publicdatafeeds.networkrail.co.uk/ntrod/SupportingFileAuthenticate?type=CORPUS"

#Fetch Configuration
log.out("corpus.py: Fetching CORPUS Configuration", "INFO")
CORPUS_USER = os.getenv('OWL_LDB_CORPUSUSER')
CORPUS_PASS = os.getenv('OWL_LDB_CORPUSPASS')

def hello():
    print("hello")
    return

def fetchCorpus():
    r = requests.get(CORPUS_URL, auth=(CORPUS_USER, CORPUS_PASS))
    ## Need to ungzip the response - should be able to do with no additional imports
      ## See: https://stackoverflow.com/questions/40756106/decompress-python-requests-response-with-zlib
    ## Need to return the result
    return